## org.eclipse.emf.ecore.util
Interface FeatureMap.Internal

All Superinterfaces:
  java.util.Collection<FeatureMap.Entry>, EList<FeatureMap.Entry>, EStructuralFeature.Setting, FeatureMap, InternalEList<FeatureMap.Entry>, java.lang.Iterable<FeatureMap.Entry>, java.util.List<FeatureMap.Entry>

All Known Implementing Classes:
  BasicFeatureMap, DelegatingFeatureMap, EStoreEObjectImpl.EStoreFeatureMap, FeatureMapUtil.FeatureFeatureMap

Enclosing interface:
  FeatureMap

    public static interface FeatureMap.Internal

extends FeatureMap, InternalEList<FeatureMap.Entry>, EStructuralFeature.Setting

Nested Class Summary
`static interface` `FeatureMap.Internal.Wrapper`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.FeatureMap
`FeatureMap.Entry, FeatureMap.Internal, FeatureMap.ValueListIterator<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Method Summary
`void` `add(EStructuralFeature feature, int index, java.lang.Object object)`
`boolean` `addAll(EStructuralFeature feature, int index, java.util.Collection<?> collection)`
`boolean` `addAllUnique(java.util.Collection<? extends FeatureMap.Entry> collection)`
`boolean` `addAllUnique(FeatureMap.Entry.Internal[] entries, int start, int end)`
`void` `addUnique(EStructuralFeature feature, int index, java.lang.Object object)`
`void` `addUnique(EStructuralFeature feature, java.lang.Object object)`
`void` `addUnique(FeatureMap.Entry.Internal entry)`
`NotificationChain` `basicAdd(EStructuralFeature feature, java.lang.Object object, NotificationChain notifications)`
`java.util.Iterator<java.lang.Object>` `basicIterator(EStructuralFeature feature)`
`java.util.List<java.lang.Object>` `basicList(EStructuralFeature feature)`
`java.util.ListIterator<java.lang.Object>` `basicListIterator(EStructuralFeature feature)`
`java.util.ListIterator<java.lang.Object>` `basicListIterator(EStructuralFeature feature, int index)`
`NotificationChain` `basicRemove(EStructuralFeature feature, java.lang.Object object, NotificationChain notifications)`
`void` `clear(EStructuralFeature feature)`
`boolean` `contains(EStructuralFeature feature, java.lang.Object object)`
`boolean` `containsAll(EStructuralFeature feature, java.util.Collection<?> collection)`
`java.lang.Object` `get(EStructuralFeature feature, int index, boolean resolve)`
`EObject` `getEObject()` Returns the object holding a value.
`int` `getModCount()`
`FeatureMap.Internal.Wrapper` `getWrapper()`
`int` `indexOf(EStructuralFeature feature, java.lang.Object object)`
`boolean` `isEmpty(EStructuralFeature feature)`
`java.util.Iterator<java.lang.Object>` `iterator(EStructuralFeature feature)`
`int` `lastIndexOf(EStructuralFeature feature, java.lang.Object object)`
`java.util.ListIterator<java.lang.Object>` `listIterator(EStructuralFeature feature)`
`java.util.ListIterator<java.lang.Object>` `listIterator(EStructuralFeature feature, int index)`
`java.lang.Object` `move(EStructuralFeature feature, int targetIndex, int sourceIndex)`
`void` `move(EStructuralFeature feature, int index, java.lang.Object object)`
`java.lang.Object` `remove(EStructuralFeature feature, int index)`
`boolean` `remove(EStructuralFeature feature, java.lang.Object object)`
`boolean` `removeAll(EStructuralFeature feature, java.util.Collection<?> collection)`
`java.lang.Object` `resolveProxy(EStructuralFeature feature, int entryIndex, int index, java.lang.Object object)`
`boolean` `retainAll(EStructuralFeature feature, java.util.Collection<?> collection)`
`java.lang.Object` `set(EStructuralFeature feature, int index, java.lang.Object object)`
`EStructuralFeature.Setting` `setting(EStructuralFeature feature)`
`java.lang.Object` `setUnique(EStructuralFeature feature, int index, java.lang.Object object)`
`void` `setWrapper(FeatureMap.Internal.Wrapper wrapper)`
`int` `size(EStructuralFeature feature)`
`java.lang.Object[]` `toArray(EStructuralFeature feature)`

`

`<T> T[]`

`

`toArray(EStructuralFeature feature, T[] array)`

Methods inherited from interface org.eclipse.emf.ecore.util.FeatureMap
`add, add, addAll, addAll, get, getEStructuralFeature, getValue, isSet, list, set, setValue, unset, valueListIterator, valueListIterator`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addUnique, addUnique, basicAdd, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, basicRemove, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Setting
`get, getEStructuralFeature, isSet, set, unset`

Method Detail

### getModCount

    int getModCount()

### getEObject

    EObject getEObject()

  Description copied from interface: `EStructuralFeature.Setting`
  Returns the object holding a value.

  Specified by:
    `getEObject` in interface `EStructuralFeature.Setting`
  Returns:
    the object holding a value.

### resolveProxy

    java.lang.Object resolveProxy(EStructuralFeature feature,
                                  int entryIndex,
                                  int index,
                                  java.lang.Object object)

### size

    int size(EStructuralFeature feature)

### isEmpty

    boolean isEmpty(EStructuralFeature feature)

### contains

    boolean contains(EStructuralFeature feature,
                     java.lang.Object object)

### containsAll

    boolean containsAll(EStructuralFeature feature,
                        java.util.Collection<?> collection)

### indexOf

    int indexOf(EStructuralFeature feature,
                java.lang.Object object)

### lastIndexOf

    int lastIndexOf(EStructuralFeature feature,
                    java.lang.Object object)

### iterator

    java.util.Iterator<java.lang.Object> iterator(EStructuralFeature feature)

### listIterator

    java.util.ListIterator<java.lang.Object> listIterator(EStructuralFeature feature)

### listIterator

    java.util.ListIterator<java.lang.Object> listIterator(EStructuralFeature feature,
                                                          int index)

### setting

    EStructuralFeature.Setting setting(EStructuralFeature feature)

### basicList

    java.util.List<java.lang.Object> basicList(EStructuralFeature feature)

### basicIterator

    java.util.Iterator<java.lang.Object> basicIterator(EStructuralFeature feature)

### basicListIterator

    java.util.ListIterator<java.lang.Object> basicListIterator(EStructuralFeature feature)

### basicListIterator

    java.util.ListIterator<java.lang.Object> basicListIterator(EStructuralFeature feature,
                                                               int index)

### toArray

    java.lang.Object[] toArray(EStructuralFeature feature)

### toArray

    <T> T[] toArray(EStructuralFeature feature,
                    T[] array)

### add

    void add(EStructuralFeature feature,
             int index,
             java.lang.Object object)

### addAll

    boolean addAll(EStructuralFeature feature,
                   int index,
                   java.util.Collection<?> collection)

### addUnique

    void addUnique(EStructuralFeature feature,
                   java.lang.Object object)

### addUnique

    void addUnique(EStructuralFeature feature,
                   int index,
                   java.lang.Object object)

### addAllUnique

    boolean addAllUnique(java.util.Collection<? extends FeatureMap.Entry> collection)

### addUnique

    void addUnique(FeatureMap.Entry.Internal entry)

### addAllUnique

    boolean addAllUnique(FeatureMap.Entry.Internal[] entries,
                         int start,
                         int end)

### basicAdd

    NotificationChain basicAdd(EStructuralFeature feature,
                               java.lang.Object object,
                               NotificationChain notifications)

### remove

    boolean remove(EStructuralFeature feature,
                   java.lang.Object object)

### remove

    java.lang.Object remove(EStructuralFeature feature,
                            int index)

### removeAll

    boolean removeAll(EStructuralFeature feature,
                      java.util.Collection<?> collection)

### basicRemove

    NotificationChain basicRemove(EStructuralFeature feature,
                                  java.lang.Object object,
                                  NotificationChain notifications)

### retainAll

    boolean retainAll(EStructuralFeature feature,
                      java.util.Collection<?> collection)

### clear

    void clear(EStructuralFeature feature)

### move

    void move(EStructuralFeature feature,
              int index,
              java.lang.Object object)

### move

    java.lang.Object move(EStructuralFeature feature,
                          int targetIndex,
                          int sourceIndex)

### get

    java.lang.Object get(EStructuralFeature feature,
                         int index,
                         boolean resolve)

### set

    java.lang.Object set(EStructuralFeature feature,
                         int index,
                         java.lang.Object object)

### setUnique

    java.lang.Object setUnique(EStructuralFeature feature,
                               int index,
                               java.lang.Object object)

### getWrapper

    FeatureMap.Internal.Wrapper getWrapper()

### setWrapper

    void setWrapper(FeatureMap.Internal.Wrapper wrapper)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.